from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="chinese-text-classification",
    version="1.0.0",
    author="Your Name",
    author_email="your.email@example.com",
    description="基于Python的中文文本分类系统",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/yourusername/chinese-text-classification",
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.7",
    install_requires=[
        "tensorflow>=2.5.0",
        "numpy>=1.19.5",
        "pandas>=1.3.0",
        "scikit-learn>=0.24.2",
        "matplotlib>=3.4.2",
        "jieba>=0.42.1",
        "tqdm>=4.61.1",
        "gensim>=4.0.1",
        "flask>=2.0.1",
        "fastapi>=0.68.0",
        "uvicorn>=0.15.0"
    ],
    entry_points={
        "console_scripts": [
            "text-classifier=main:main",
        ],
    },
)
